/* This will target direct children of the `.map-component-container` and give them a red border */
.map-component-container > * {
  border: 1px solid red;
}


.map-component-container {
  height: calc(100% - 48px*2);
  width: calc(100% - 48px*2);
  display: flex;
  flex-direction: column;
  margin: 48px;
  gap: 32px;
}

.map-filters-container {
  width: 50%;
  display: flex;
  flex-direction: column;
}

.map-filters {
  display: flex;
  flex-direction: row;
  align-items: baseline;
  gap: 32px
}

.map-and-information-container {
  min-height: 50%;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  width: 100%;
  justify-content: space-between;

}

.map-container {
  height: 100%;
  flex: 1;
  min-width: 800px;
  max-width: 1200px;
}

google-map ::ng-deep .map-container {
  width: 100%;
  height: 100%;
}

.information-container {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  flex: 1;
  min-width: 800px;
  max-width: 1200px;
}

.finish-drawing-btn {
  position: absolute;
  top: 60px;
  right: 20px;
  z-index: 1;
}

.info-window-content {
  max-width: 264px;
  margin: 7px;
}

.device-container {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.device-name {
  font-size: 16px;
  font-weight: bold;
  cursor: pointer;
}

.device-data-notes {
  font-weight: 300;
  font-size: 14px;
}

.field-name {
  font-size: 18px;
  font-weight: bold;
}

.device-data {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  gap: 10px;
  font-size: 14px;
  color: #0d0d0d;
  font-weight: normal;
}

.info-window-actions {
  padding-top: 12px;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
}

.small-icon-button {
  width: 24px !important;
  height: 24px !important;
  padding: 0px !important;
  display: inline-flex !important;
  align-items: center;
  justify-content: center;

  & > *[role=img] {
    width: 16px;
    height: 16px;
    font-size: 16px;

    svg {
      width: 16px;
      height: 16px;
    }
  }

  .mat-mdc-button-touch-target {
    width: 24px !important;
    height: 24px !important;
  }
}

.button-details {
  font-size: 16px;
  font-weight: bold;
  cursor: pointer;
}
